Name: BlockHosts
Version: 2.0.2
Release: alt1

Summary: Block IP Addresses based on information in system logs related to SSH/FTP failures

License: GPL
Group: Text tools
Url: http://www.aczoom.com/cms/blockhosts/

BuildArch: noarch
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.aczoom.com/tools/blockhosts/%name-%version.tar.bz2

# manually removed: eric
# Automatically added by buildreq on Mon Oct 31 2005
BuildRequires: python-base python-dev python-modules-compiler python-modules-encodings

%description
Block IP Addresses based on information in system logs
related to SSH/FTP or other such login attacks.
		
Updates hosts.allow file automatically, to block IP addresses.
Will also expire previously blocked addresses based on age of last failed
login attempt, this keeps the hosts.allow file size manageable.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%buildroot

%files
%doc blockhosts.html
%_bindir/*
%config(noreplace) %_sysconfdir/*

%changelog
* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- new version 2.0.2 (with rpmrb script)

* Sun Feb 19 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.4-alt0.1
- new version (1.0.4)

* Mon Feb 13 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.3-alt0.1
- new version
- remove broken buildreq to eric

* Mon Oct 31 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt0.1
- first build for ALT Linux Sisyphus

